/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.visualization.modular.grainOilReserve.mapper;

import com.unis.visualization.modular.grainOilReserve.entity.VO.CityVarietyCapacityChart;
import com.unis.visualization.modular.grainOilReserve.entity.VO.CurrentCrkCapacityChart;
import com.unis.visualization.modular.grainOilReserve.entity.VO.DeportStockChart;
import com.unis.visualization.modular.grainOilReserve.entity.VO.DeportStockDetail;
import com.unis.visualization.modular.grainOilReserve.entity.VO.GradeCapacityChart;
import com.unis.visualization.modular.grainOilReserve.entity.VO.RotationPlanChart;
import com.unis.visualization.modular.grainOilReserve.entity.VO.StockDetail;
import com.unis.visualization.modular.grainOilReserve.entity.VO.StorehouseCapacityChart;
import com.unis.visualization.modular.grainOilReserve.entity.VO.VarietyCapacityChart;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 可视化-粮油储备Mapper接口
 *
 * @author TS
 * @date  2024/06/18 11:08
 **/
public interface GrainOilReserveMapper  {
    /**
     * 仓房和油罐总容量
     * @return
     */
    StorehouseCapacityChart getStorehouseCapacity();

    /**
     * 得到原粮油总库存
     * @return
     */
    StorehouseCapacityChart getStorehouseStock();

    List<VarietyCapacityChart> getVarietyChartDatas();

    List<GradeCapacityChart> getGradeChartDatas();

    List<CityVarietyCapacityChart> getCityVarietyChartDatas();

    List<CurrentCrkCapacityChart> getCurrentCrkChartDatas(@Param("crkType") Integer crkType);

    RotationPlanChart getRotationPalnChartDatas();

    List<DeportStockChart> getDepotStockChartDatas(@Param("queryType")Integer queryType);

    DeportStockDetail getDepotStockDetail(@Param("orgId") Integer orgId);

    DeportStockDetail getStorehouseDetail(@Param("orgId")Integer orgId);

    DeportStockDetail getTankDetail(@Param("orgId")Integer orgId);

    List<StockDetail> getStockDetailList(Integer orgId);

    /**
     * 得到去年今日库存
     * @return
     */
    StorehouseCapacityChart getYesteryearStorehouseStock();
}
